Skip to main content
`Ctrl`+`K`

# TaoBNCGGetType

Return the type for the `TAOBNCG` solver

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBNCGGetType(Tao tao, TaoBNCGType *type)

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- type - `TAOBNCG` type

## See Also

`Tao`, `TAOBNCG`, `TaoBNCGSetType()`, `TaoBNCGType`

## Level

advanced

## Location

src/tao/bound/impls/bncg/bncg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages